//           ___   ____               ___       ___
// \ \  / / | _   |  __| \ \  / / || | __  || || _ |
//  \ \/ /  |___  | |__   \ \/ /  || |___  || ||___|
//   \  /   | _   | _  |   \  /   ||  __ | || ||\\
//    \/    |___  |___ |    \/    || ____| || || \\
//
// Copyright (c) 2021 Piotr Biernat. https://pbiernat.dev. MIT License
// Repo: https://git.pbiernat.dev/golang/vegvisir

package client

import "github.com/valyala/fasthttp"

// HTTPClient struct
type HTTPClient struct {
	context *fasthttp.RequestCtx
}

// NewHTTPClient function
func NewHTTPClient(ctx *fasthttp.RequestCtx) *HTTPClient {
	return &HTTPClient{
		context: ctx,
	}
}

// func (c *HTTPClient)
